/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:pmp.h 12.0$ */
/* $ACIS:pmp.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lib/pmp/RCS/pmp.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsidpmp = "$Header:pmp.h 12.0$";
#endif

	/*\
	|*	int		  p_set_debug(str);
	|*	int		  p_open(outfil)
	|*	int		  p_close()
	|*	int		  p_marked()
	|* 	char		**p_get_path()
	|* 	char		**p_set_path(dirs)
	|* 	int	  	  p_add_dir(dir)
	|*	int		  p_get_copies()
	|*	int		  p_set_copies(copies)
	|*	int		  p_next_copies(copies)
	|*	int		  p_get_tray()
	|*	int		  p_set_tray(tray)
	|*	int		  p_next_tray(tray)
	|*	int		  p_eject(clear)
	|*	int		  p_clear()
	|*	int		  p_set_display(value)
	|*	int		  p_ring_bell()
	|*	int		  p_jog()
	|*	int		  p_rotate(orient)
	|*	int		  p_get_pgwidth()
	|*	int		  p_set_pgwidth(width)
	|*	int		  p_get_pgheight()
	|*	int		  p_set_pgheight(height)
	|*	int		  p_image(ht,wid,len,encoding,image)
	|*	int		  p_fnt_activate(font)
	|*	int		  p_fnt_deactivate()
	|* 	pmp_font	 *p_fnt_open(name,type)
	|* 	int	  	  p_fnt_close(font)
	|* 	int	  	  p_fnt_addch(font,ch,chr)
	|* 	pmp_char	 *p_fnt_char(font,ch)
	|*	int		  p_ch_width(ch)
	|*	int		  p_ch_height(ch)
	|*	int		  p_ch_LTspace(ch)
	|*	int		  p_ch_RBspace(ch)
	|*	int		  p_ch_totalwidth(ch)
	|*	int		  p_ch_offset(ch)
	|*	int		  p_ch_encoding(ch)
	|*	int		  p_ch_sizepattern(ch)
	|*	char 		 *p_ch_pattern(ch)
	|*	cursor_reg	 *p_cr_mark()
	|*	int	 	  p_cr_remark(creg)
	|*	cursor_reg	 *p_cr_xymark(x,y)
	|*	int	 	  p_cr_xyremark(creg,x,y)
	|*	int	 	  p_cr_return(creg,done)
	|*	int	 	  p_cr_xreturn(creg)
	|*	int	 	  p_cr_yreturn(creg)
	|*	int	 	  p_cr_free(creg)
	|*	int		  p_mv_absolute(x,y)
	|*	int		  p_mv_relative(x,y)
	|*	int		  p_mv_h_absolute(x)
	|*	int		  p_mv_v_absolute(y)
	|*	int		  p_mv_h_relative(x)
	|*	int		  p_mv_v_relative(y)
	|*	int		  p_putc(font,ch)
	|*	int		  p_puts(font,str)
	|*	int		  p_putnstr(font,str,n)
	|*	int		  p_vec_nofill()
	|*	int		  p_vec_fill(font,pattern,x,y)
	|*	int		  p_vec_setwidth(wid)
	|*	int		  p_vec_setends(ends)
	|*	int		  p_vec_absolute(x,y)
	|*	int		  p_vec_relative(x,y)
	|*	int		  p_vec_h_absolute(x)
	|*	int		  p_vec_v_absolute(y)
	|*	int		  p_vec_h_relative(x)
	|*	int		  p_vec_v_relative(y)
	|*	int		  p_draw_vectors();
	\*/


#ifndef PMPFNT_SEEN
#define PRIVATE char *
typedef PRIVATE pmp_char;
typedef PRIVATE pmp_font;
#endif

typedef PRIVATE cursor_reg;

#define P_RASTER_PTRN		0x0001
#define P_LARGE_PTRN		0x0100

#define P_FREE_CURSOR_REG	1
#define P_KEEP_CURSOR_REG	0

#define P_VECTOR_MIN_WIDTH	0
#define P_VECTOR_MAX_WIDTH	31

#define P_VECTOR_ROUND_ENDS	0x01
#define P_VECTOR_SQUARE_ENDS	0x02

#define P_ACIS_FONT		0x0001
#define P_PMP_FONT		0x0002

#define P_NO_TRAY		0xff
#define P_MAIN_TRAY		0x00
#define P_ALTERNATE_TRAY	0x40

#define P_PORTRAIT		0x00
#define P_LEFT_LANDSCAPE	0x03
#define P_RIGHT_LANDSCAPE	0x01
#define P_INVERTED		0x02

extern	int		  p_set_debug();
extern	int		  p_open();
extern	int		  p_close();
extern	int		  p_marked();
extern	char		**p_get_path();
extern	char		**p_set_path();
extern	int	  	  p_add_dir();
extern	int		  p_get_copies();
extern	int		  p_set_copies();
extern	int		  p_next_copies();
extern	int		  p_get_tray();
extern	int		  p_set_tray();
extern	int		  p_next_tray();
extern	int		  p_eject();
extern	int		  p_clear();
extern	int		  p_set_display();
extern	int		  p_ring_bell();
extern	int		  p_jog();
extern	int		  p_rotate();
extern	int		  p_get_pgwidth();
extern	int		  p_set_pgwidth();
extern	int		  p_get_pgheight();
extern	int		  p_set_pgheight();
extern	int		  p_image();
extern	int		  p_fnt_activate();
extern	pmp_font	 *p_fnt_open();
extern	int	  	  p_fnt_close();
extern	int	  	  p_fnt_addch();
extern	pmp_char	 *p_fnt_char();
extern	int		  p_ch_width();
extern	int		  p_ch_height();
extern	int		  p_ch_LTspace();
extern	int		  p_ch_RBspace();
extern	int		  p_ch_totalwidth();
extern	int		  p_ch_offset();
extern	int		  p_ch_encoding();
extern	int		  p_ch_sizepattern();
extern	char 		 *p_ch_pattern();
extern	cursor_reg	 *p_cr_mark();
extern	int	 	  p_cr_remark();
extern	cursor_reg	 *p_cr_xymark();
extern	int	 	  p_cr_xyremark();
extern	int	 	  p_cr_return();
extern	int	 	  p_cr_xreturn();
extern	int	 	  p_cr_yreturn();
extern	int	 	  p_cr_free();
extern	int		  p_mv_absolute();
extern	int		  p_mv_relative();
extern	int		  p_mv_h_absolute();
extern	int		  p_mv_v_absolute();
extern	int		  p_mv_h_relative();
extern	int		  p_mv_v_relative();
extern	int		  p_putc();
extern	int		  p_puts();
extern	int		  p_putnstr();
extern	int		  p_vec_nofill();
extern	int		  p_vec_fill();
extern	int		  p_vec_set_width();
extern	int		  p_vec_set_ends();
extern	int		  p_vec_absolute();
extern	int		  p_vec_relative();
extern	int		  p_vec_h_absolute();
extern	int		  p_vec_v_absolute();
extern	int		  p_vec_h_relative();
extern	int		  p_vec_v_relative();
#define p_draw_vectors(vs)	vp_draw_vectors(vs)
